Edit a set of Azure credentials
curl --request PUT \
--url https://api.qovery.com/organization/{organizationId}/azure/credentials/{credentialsId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"azure_subscription_id": "<string>",
"azure_tenant_id": "<string>"
}
'import requests
url = "https://api.qovery.com/organization/{organizationId}/azure/credentials/{credentialsId}"
payload = {
"name": "<string>",
"azure_subscription_id": "<string>",
"azure_tenant_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
azure_subscription_id: '<string>',
azure_tenant_id: '<string>'
})
};
fetch('https://api.qovery.com/organization/{organizationId}/azure/credentials/{credentialsId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"access_key_id": "<string>",
"object_type": "AWS"
}Cloud Provider Credentials
Edit a set of Azure credentials
PUT
/
organization
/
{organizationId}
/
azure
/
credentials
/
{credentialsId}
Edit a set of Azure credentials
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Body
application/json
Response
Edit a set of Azure credentials
- AwsStaticClusterCredentials
- ScalewayClusterCredentials
- GenericClusterCredentials
- AwsRoleClusterCredentials
- EksAnywhereVsphereClusterCredentials
- AzureStaticClusterCredentials
- GcpStaticClusterCredentials
- GcpWorkloadIdentityFederationClusterCredentials
Was this page helpful?
⌘I